#include <iostream>
#include <vector>
using namespace std;



int main()
{
	int N;
	cin >> N;

	vector<int> A(N);
	vector<int> B(N);

	for (int i = 0; i < N; i++)
	{
		cin >> A[i];
	}

	for (int i = 0; i < N; i++)
	{
		cin >> B[i];
	}

	int max = 0;
	for(int i = 0; i < N; i++)
	{
		int sumA = 0;
		int sumB = ~0;
 		for (int j = i; j < N; j++)
		{
			sumA ^= A[j];
			sumB &= B[j];

			if (sumA * sumB > max)
			{
				max = sumA * sumB;
			}
		}
	}
	cout << max;
}